## org.eclipse.emf.cdo.common.model
Class CDOClassifierRef

    java.lang.Object
      org.eclipse.emf.cdo.common.model.CDOClassifierRef

    public final class CDOClassifierRef

extends java.lang.Object

Since:
  2.0

Field Summary
`static java.lang.String` `URI_SEPARATOR`

Constructor Summary
`CDOClassifierRef()`
`CDOClassifierRef(CDODataInput in)`
`CDOClassifierRef(org.eclipse.emf.ecore.EClassifier classifier)`
`CDOClassifierRef(java.lang.String packageURI, java.lang.String classifierName)`

Method Summary
`java.lang.String` `getClassifierName()`
`java.lang.String` `getPackageURI()`
`org.eclipse.emf.ecore.EClassifier` `resolve(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)`
`java.lang.String` `toString()`
`void` `write(CDODataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### URI_SEPARATOR

    public static final java.lang.String URI_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### CDOClassifierRef

    public CDOClassifierRef()

### CDOClassifierRef

    public CDOClassifierRef(org.eclipse.emf.ecore.EClassifier classifier)

### CDOClassifierRef

    public CDOClassifierRef(java.lang.String packageURI,
                            java.lang.String classifierName)

### CDOClassifierRef

    public CDOClassifierRef(CDODataInput in)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(CDODataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPackageURI

    public java.lang.String getPackageURI()

### getClassifierName

    public java.lang.String getClassifierName()

### resolve

    public org.eclipse.emf.ecore.EClassifier resolve(org.eclipse.emf.ecore.EPackage.Registry packageRegistry)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.